Bug 111613 - Alias entries (CNAME fields) reversed
Alias entries (CNAME fields) reversed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-bind (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 10:02 EST by Frank Solensky
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-29 06:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (416 bytes, patch)
2003-12-06 10:52 EST, Frank Solensky
no flags Details | Diff

  None (edit)
Description Frank Solensky 2003-12-06 10:02:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
CNAME records are not written out correctly.  

Version-Release number of selected component (if applicable):
redhat-config-bind-2.0.0-18

How reproducible:
Always

Steps to Reproduce:
1. Select a zone (e.g.: localhost)
2. Select 'add record', then the 'alias' tab
3. Enter the alias name (e.g.: myalias)
4. Select target hostname (e.g.: 1D.localhost)
5. OK, save results exit
    

Actual Results:
The entry in the zone file is as follows:
  1D.localhost.  IN CNAME  myalias


Expected Results:
  myalias  IN CNAME  1D.localhost.


Additional info:
Editing zone files causes existing aliases to be saved incorrectly as
well.
Comment 1 Frank Solensky 2003-12-06 10:52:00 EST
Created attachment 96382 [details]
Proposed fix

CNAME class out() was writing fields in incorrect order ('alias' is the target,
not the alias name).
Comment 2 Daniel Walsh 2003-12-29 06:40:00 EST
Try system-config-bind-2.0.2-1 (Rename) from RawHide a lot of problems
have been fixed.

Dan

Note You need to log in before you can comment on or make changes to this bug.